Skip to content

List Global Kube Configs.

GET
/api/web/namespaces/system/sites/{site}/global-kubeconfigs
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/sites/example/global-kubeconfigs \
--header 'Authorization: <Authorization>'

Returns list of all global active kubeconfig minted for this site.

Examples of this operation.

site
required
string

Site

x-required Name of the site. All global kubeconfigs created by the user under the site will be listed.

A successful response.

Media typeapplication/json
List Kube Config Response

List kubeconfig response.

object
items
List of the kubeconfigs

List of kubeconfig items.

Array<object>
List Kube Config item

Each item of credential list request.

object
create_timestamp
Create timestamp

Create time of API credential.

string format: date-time
<= 1024 characters
expiry_timestamp
Expiry time

Expiry time of credential.

string format: date-time
<= 1024 characters
name
Name

Name of this credential.

string
>= 1 characters <= 64 characters
uid
uuid of the record

UUID of API credential object.

string format: uuid
>= 36 characters <= 1024 characters
user_email
Email of user

User email of user that requested credential .

string
<= 1024 characters
Examplegenerated
{
"items": [
{
"create_timestamp": "2026-04-15T12:00:00Z",
"expiry_timestamp": "2026-04-15T12:00:00Z",
"name": "example",
"uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"user_email": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example